> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Images

> Image generation for the qwen-image/wan series

<Tip>
  This endpoint integrates a third-party model. For detailed parameter information, please refer to the official documentation at [Qwen Docs](https://help.aliyun.com/zh/model-studio/models?spm=a2c4g.11186623.0.0.59d7130crsmz2F#4611ffaa38hnp).
</Tip>


## OpenAPI

````yaml api-reference/endpoint/image/qwen_openapi.json post /v1/images/generations
openapi: 3.0.1
info:
  title: AI model interface
  description: ''
  version: 1.0.0
servers:
  - url: https://api.ai.cc
security:
  - BearerAuth: []
tags:
  - name: Qwen Image
paths:
  /v1/images/generations:
    post:
      tags:
        - Qwen Image
      summary: Generate an image (qwen-image)
      description: Image generation for the qwen-image/wan series
      operationId: createImage
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                model:
                  type: string
                input:
                  type: object
                  properties:
                    messages:
                      type: array
                      items:
                        type: object
                        properties:
                          role:
                            type: string
                          content:
                            type: array
                            items:
                              type: object
                              properties:
                                text:
                                  type: string
                  required:
                    - messages
                parameters:
                  type: object
                  properties:
                    negative_prompt:
                      type: string
                    prompt_extend:
                      type: boolean
                    watermark:
                      type: boolean
                    size:
                      type: string
              required:
                - model
                - input
            examples:
              Default:
                summary: examples
                value:
                  model: qwen-image
                  input:
                    messages:
                      - role: user
                        content:
                          - text: A cute baby sea otter
                  parameters:
                    negative_prompt: ''
                    prompt_extend: true
                    watermark: false
                    size: 1328*1328
      responses:
        '200':
          description: Image generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ImageResponse:
      type: object
      properties:
        created:
          type: integer
        data:
          type: array
          items:
            type: object
            properties:
              url:
                type: string
              b64_json:
                type: string
              revised_prompt:
                type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        Authentication is done using Bearer Token. 
        Format: `Authorization: Bearer sk-xxxxxx`

````